App Layering

Nouveautés dans la version App Layering 2008

Important :

App Layering 20.8.3 inclut une mise à jour importante des pilotes inclus. Si vous utilisez le démarrage sécurisé, vous devez mettre à niveau vers 20.8.3 !

Les packages d’installation et de mise à niveau 20.8.3 sont disponibles au téléchargement. Pour les nouvelles installations, téléchargez le package d’installation de l’appliance. Pour obtenir les mises à niveau, téléchargez le package de mise à niveau

Nouvelles fonctionnalités de cette version

La version 2008 de App Layering inclut la prise en charge des fonctionnalités et améliorations suivantes :

  • Prise en charge de Windows 10, 2004 : Windows 10, 2004 est désormais pris en charge comme système d’exploitation pour les images en couches. L’utilisation de Windows 10, 2004 nécessite App Layering version 2008 ou ultérieure. Les modifications requises pour cette version de Windows 10 ne sont pas dans les versions précédentes de App Layering.

  • Prise en charge de Citrix Hypervisor 8.2 Nous prenons désormais en charge Citrix Hypervisor version 8.2.

Fonctionnalités Labs dans cette version

Les fonctionnalités Labs sont des aperçus des fonctionnalités potentielles dans les prochaines versions. Alors qu’une fonctionnalité est dans Labs, ne l’utilisez pas en production. Il n’y a aucune garantie qu’une fonctionnalité Labs reste dans le produit. Lorsqu’elle est libérée, la fonctionnalité peut fonctionner différemment.

Les fonctionnalités Labs disponibles dans cette version sont les suivantes :

  • Vous pouvez affecter des couches d’application en tant que couches élastiques sur des images qui utilisent une couche de système d’exploitation différente : jusqu’à présent, les attributions de couches élastiques exigeaient que la couche d’application affectée utilise la même couche de système d’exploitation que celle utilisée pour créer la couche d’application. Vous pouvez maintenant essayer d’attribuer un couche App en tant que couche Elastic sur une image en couches qui utilise un couche de système d’exploitation différent.

    Important :

    L’exécution d’une couche élastique sur une couche de système d’exploitation différente de celle utilisée pour la créer peut avoir des problèmes.

Pour utiliser une fonction Labs, vous devez d’abord l’activer.

Plateformes prises en charge

Pour plus d’informations sur les plates-formes prises en charge par Citrix App Layering, consultez Configuration système requise.

Chemin de mise à niveau et considérations

Pour obtenir les derniers correctifs et fonctionnalités, y compris la compatibilité avec les autres packages logiciels que vous utilisez, nous vous encourageons à rester au courant des mises à niveau de l’App Layering.

Mises à niveau partiellement automatiques

Le processus de mise à niveau de App Layering est partiellement automatisé. L’appliance vérifie périodiquement la présence de mises à niveau et télécharge le dernier package, le vérifie et extrait les fichiers. Les utilisateurs reçoivent un message la prochaine fois qu’ils se connectent, et les administrateurs possédant les permis appropriés peuvent commencer la mise à niveau. (Les autres utilisateurs peuvent sélectionner Me rappeler plus tard pour désactiver le message.)

Le package de mise à niveau 2005 est suffisamment volumineux pour que les anciens appareils ne puissent pas le télécharger automatiquement. Si vous exécutez la version 1911 ou antérieure, téléchargez le package manuellement à partir du site de téléchargement. En outre, nous vous recommandons d’exécuter la mise à niveau à partir d’une console de gestion dans Secure HTTP (HTTPS). Si vous effectuez une mise à niveau en HTTP, les messages ne s’affichent pas dans le navigateur. Si cela se produit, actualisez le navigateur après 20 minutes. (L’actualisation ne causera pas de problèmes malgré le message qui dit de ne pas actualiser.) Si la mise à niveau est toujours en cours d’exécution, vous obtenez une erreur « service indisponible ».«  Il est sûr d’ignorer le message et de continuer à rafraîchir le navigateur toutes les quelques minutes jusqu’à ce que la page de connexion apparaisse.

Si vous êtes sur une version antérieure à 19.1 de App Layering, consultez l’article Mise à niveau pour connaître le chemin de mise à niveau correct.

Composants nécessitant une mise à niveau

Les mises à niveau App Layering incluent la mise à niveau de l’appliance et une mise à niveau de l’agent pour l’hyperviseur et les serveurs de Provisioning sur lesquels vous avez installé l’agent. Attendez-vous également à republier des images pour obtenir les dernières mises à jour de ces images.

Assurez-vous de consulter l’article de mise à niveau pour plus de détails sur la mise à niveau à partir de la version spécifique que vous avez actuellement à la dernière version !

Informations connexes

Nouveautés dans la version App Layering 2008